Source: signon-plugin-oauth2
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@debian.org>
Build-Depends: debhelper-compat (= 13),
#               qt5-qmake,
               pkg-kde-tools (>= 0.12),
               pkg-config,
               pkg-kde-tools-neon,
               signon-plugins-dev,
#               qtbase5-dev,
               qt6-base-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/accounts-sso/signon-plugin-oauth2
Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/signon-plugin-oauth2.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/signon-plugin-oauth2

Package: signon-plugin-oauth2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: signond
Description: OAuth 1.0/2.0 plugin for the Accounts SignOn daemon
 This plugin for the Accounts-SSO SignOn daemon handles the OAuth
 1.0 and 2.0 authentication protocols.

Package: signon-plugin-oauth2-dev
Architecture: any
Depends: signon-plugin-oauth2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: OAuth 1.0/2.0 plugin for the Accounts SignOn daemon - headers
 This plugin for the Accounts-SSO SignOn daemon handles the OAuth
 1.0 and 2.0 authentication protocols.
 .
 This contains development headers.
